Bug 114707 - nmbd dies when while receiving SIGHUP from logrotate script
Summary: nmbd dies when while receiving SIGHUP from logrotate script
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-01 02:14 UTC by Kaj J. Niemi
Modified: 2014-10-01 15:19 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-08 12:29:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kaj J. Niemi 2004-02-01 02:14:15 UTC
Description of problem:
Feb  1 04:02:08 jill syslogd 1.4.1: restart.
Feb  1 04:02:08 jill nmbd[1997]: [2004/02/01 04:02:08, 0]
lib/util.c:smb_panic(1430)
Feb  1 04:02:08 jill nmbd[1997]:   BACKTRACE: 9 stack frames:
Feb  1 04:02:08 jill nmbd[1997]:    #0 nmbd(smb_panic+0x110) [0x755f10]
Feb  1 04:02:08 jill nmbd[1997]:    #1 nmbd [0x741a74]
Feb  1 04:02:08 jill nmbd[1997]:    #2 /lib/tls/libc.so.6 [0x368878]
Feb  1 04:02:08 jill nmbd[1997]:    #3 nmbd(write_browse_list+0x1c9)
[0x6fad49]
Feb  1 04:02:08 jill nmbd[1997]:    #4 nmbd [0x6e5e2f]
Feb  1 04:02:08 jill nmbd[1997]:    #5 nmbd [0x6e5fcc]
Feb  1 04:02:08 jill nmbd[1997]:    #6 nmbd(main+0x45e) [0x6e65ee]
Feb  1 04:02:08 jill nmbd[1997]:    #7
/lib/tls/libc.so.6(__libc_start_main+0xe5) [0x356405]
Feb  1 04:02:08 jill nmbd[1997]:    #8 nmbd [0x6e4b02]
Feb  1 04:02:08 jill nmbd[1997]:


Version-Release number of selected component (if applicable):
glibc-2.3.3-7 (i686)
kernel-2.6.1-1.65 (i686)
samba-3.0.2-1rc1 (i386)

How reproducible:
So far every night I've had the laptop on.

Steps to reproduce:
1. sudo /etc/init.d/smb start
2. /bin/kill -HUP `cat /var/run/smbd.pid /var/run/nmbd.pid
/var/run/winbindd.pid 2> /dev/null` 2> /dev/null || true
(the above is from /etc/logrotate.d/samba)
3. ps ax|grep nmbd
  
Actual results:
Dies.

Expected results:
Shouldn't die :)

Comment 1 Kaj J. Niemi 2004-02-01 02:15:22 UTC
Feb  1 04:15:50 jill nmbd[4671]: [2004/02/01 04:15:50, 0]
nmbd/nmbd.c:process(540)
Feb  1 04:15:50 jill nmbd[4671]:   Got SIGHUP dumping debug info.
Feb  1 04:15:50 jill nmbd[4671]: [2004/02/01 04:15:50, 0]
lib/fault.c:fault_report(36)
Feb  1 04:15:50 jill nmbd[4671]:  
===============================================================
Feb  1 04:15:50 jill nmbd[4671]: [2004/02/01 04:15:50, 0]
lib/fault.c:fault_report(37)
Feb  1 04:15:50 jill nmbd[4671]:   INTERNAL ERROR: Signal 11 in pid
4671 (3.0.2rc1-1rc1)
Feb  1 04:15:50 jill nmbd[4671]:   Please read the appendix Bugs of
the Samba HOWTO collection
Feb  1 04:15:50 jill nmbd[4671]: [2004/02/01 04:15:50, 0]
lib/fault.c:fault_report(39)
Feb  1 04:15:50 jill nmbd[4671]:  
===============================================================
Feb  1 04:15:50 jill nmbd[4671]: [2004/02/01 04:15:50, 0]
lib/util.c:smb_panic(1422)
Feb  1 04:15:50 jill nmbd[4671]:   PANIC: internal error
Feb  1 04:15:50 jill nmbd[4671]: [2004/02/01 04:15:50, 0]
lib/util.c:smb_panic(1430)
Feb  1 04:15:50 jill nmbd[4671]:   BACKTRACE: 9 stack frames:
Feb  1 04:15:50 jill nmbd[4671]:    #0 nmbd(smb_panic+0x110) [0x99bf10]
Feb  1 04:15:51 jill nmbd[4671]:    #1 nmbd [0x987a74]
Feb  1 04:15:51 jill nmbd[4671]:    #2 /lib/tls/libc.so.6 [0x561878]
Feb  1 04:15:51 jill nmbd[4671]:    #3 nmbd(write_browse_list+0x1c9)
[0x940d49]
Feb  1 04:15:51 jill nmbd[4671]:    #4 nmbd [0x92be2f]
Feb  1 04:15:51 jill nmbd[4671]:    #5 nmbd [0x92bfcc]
Feb  1 04:15:51 jill nmbd[4671]:    #6 nmbd(main+0x45e) [0x92c5ee]
Feb  1 04:15:51 jill nmbd[4671]:    #7
/lib/tls/libc.so.6(__libc_start_main+0xe5) [0x54f405]
Feb  1 04:15:51 jill nmbd[4671]:    #8 nmbd [0x92ab02]
Feb  1 04:15:51 jill nmbd[4671]:

(when reproducing)

Comment 2 Kaj J. Niemi 2004-02-23 23:33:24 UTC
Looking at nmbd(8) it seems that HUP doesn't really force it to
re-read its configuration but instead dump out its namelists. This
would indicate that /etc/logrotate.d/samba is wrong when rotating logs.

Comment 3 Kaj J. Niemi 2004-04-08 07:00:46 UTC
Still a problem with samba-3.0.3-1.pre1

Apr  8 10:05:05 jenny nmbd[1831]: [2004/04/08 10:05:05, 0]
nmbd/nmbd.c:process(540)
Apr  8 10:05:05 jenny nmbd[1831]:   Got SIGHUP dumping debug info.
Apr  8 10:05:05 jenny nmbd[1831]: [2004/04/08 10:05:05, 0]
lib/fault.c:fault_report(36)
Apr  8 10:05:05 jenny nmbd[1831]:  
===============================================================
Apr  8 10:05:05 jenny nmbd[1831]: [2004/04/08 10:05:05, 0]
lib/fault.c:fault_report(37)
Apr  8 10:05:05 jenny nmbd[1831]:   INTERNAL ERROR: Signal 11 in pid
1831 (3.0.3pre1-1.pre1)
Apr  8 10:05:05 jenny nmbd[1831]:   Please read the appendix Bugs of
the Samba HOWTO collection
Apr  8 10:05:05 jenny nmbd[1831]: [2004/04/08 10:05:05, 0]
lib/fault.c:fault_report(39)
Apr  8 10:05:05 jenny nmbd[1831]:  
===============================================================
Apr  8 10:05:05 jenny nmbd[1831]: [2004/04/08 10:05:05, 0]
lib/util.c:smb_panic2(1420)
Apr  8 10:05:05 jenny nmbd[1831]:   PANIC: internal error
Apr  8 10:05:05 jenny nmbd[1831]: [2004/04/08 10:05:05, 0]
lib/util.c:smb_panic2(1428)
Apr  8 10:05:05 jenny nmbd[1831]:   BACKTRACE: 10 stack frames:
Apr  8 10:05:05 jenny nmbd[1831]:    #0 nmbd(smb_panic2+0x120) [0x4c59b0]
Apr  8 10:05:05 jenny nmbd[1831]:    #1 nmbd(smb_panic+0x28) [0x4c5888]
Apr  8 10:05:05 jenny nmbd[1831]:    #2 nmbd [0x4b1114]
Apr  8 10:05:05 jenny nmbd[1831]:    #3 /lib/tls/libc.so.6 [0x1882d8]
Apr  8 10:05:05 jenny nmbd[1831]:    #4 nmbd(write_browse_list+0x1c9)
[0x46a079]
Apr  8 10:05:05 jenny nmbd[1831]:    #5 nmbd [0x454c8f]
Apr  8 10:05:05 jenny nmbd[1831]:    #6 nmbd [0x454e2c]
Apr  8 10:05:05 jenny nmbd[1831]:    #7 nmbd(main+0x45e) [0x45544e]
Apr  8 10:05:05 jenny nmbd[1831]:    #8
/lib/tls/libc.so.6(__libc_start_main+0xe3) [0x175f43]
Apr  8 10:05:05 jenny nmbd[1831]:    #9 nmbd [0x453982]
Apr  8 10:05:05 jenny nmbd[1831]:


Comment 4 Kaj J. Niemi 2004-11-08 12:29:37 UTC
doesn't happen anymore with samba-3.0.8-0.pre1.3, closing as RAWHIDE.



Note You need to log in before you can comment on or make changes to this bug.